Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet.mgmt
Interface AppletManagerCardService

public abstract interface AppletManagerCardService
extends AppletAccessCardService, SecureService

The `AppletManagerCardService` interface defines a set of calls for the maintenance of multiple applets on a card. This includes creating, registering and deleting applets on a multi-applicative smartcard.

This interface is typically implemented for card technology handling multi-applet management different (e.g. EMV compliant cards, JavaCards, ...)

Since:
  OCF1.2
See Also:
  `AppletInfo`, `AppletID`, `AppletCode`

Method Summary
`AppletInfo` | `installApplet(AppletCode appletCode)` Install an applet on the smart card.
`AppletInfo` | `registerApplet(AppletID appletID)` Register an applet on the smart card.
`AppletInfo` | `removeApplet(AppletID appletID)` Remove an applet from the smart card.

Methods inherited from interface opencard.opt.applet.mgmt.AppletAccessCardService
`exists, getInfo, list`

Methods inherited from interface opencard.opt.security.SecureService
`provideCredentials`

Methods inherited from interface opencard.opt.service.CardServiceInterface
`getCard, setCHVDialog`

Method Detail

### installApplet

    public AppletInfo installApplet(AppletCode appletCode)
                             throws opencard.core.service.CardServiceException,
                                    opencard.core.terminal.CardTerminalException

  Install an applet on the smart card.

  Parameters:
    `AppletCode` - The `AppletCode` representing the applet to be installed.

### registerApplet

    public AppletInfo registerApplet(AppletID appletID)
                              throws opencard.core.service.CardServiceException,
                                     opencard.core.terminal.CardTerminalException

  Register an applet on the smart card.

  Parameters:
    `appletID` - An `AppletID` representing the applet to be registered.
  Throws:
    opencard.core.service.CardServiceException - Thrown when error occurs during execution of the operation.

### removeApplet

    public AppletInfo removeApplet(AppletID appletID)
                            throws opencard.core.service.CardServiceException,
                                   opencard.core.terminal.CardTerminalException

  Remove an applet from the smart card.

  Parameters:
    `appletIdentifier` - The `AppletID` object referring to the applet to be removed.
  Throws:
    opencard.core.service.CardServiceException - Thrown when error occurs during execution of the operation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD